AbstractServer
Keywords: uk.ac.ic.doc.automed.p2p.communication.AbstractServer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.communication
Class AbstractServer

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.AbstractDaemon
          uk.ac.ic.doc.automed.p2p.communication.AbstractServer

All Implemented Interfaces:
  java.lang.Runnable

    public class AbstractServer

extends AbstractDaemon

Constructor Summary
`AbstractServer(RequestListener requestListener)`
`AbstractServer(RequestListener requestListener, int timeout, int workers, int desiredPort, int bufferSize)`

Method Summary
`int` | `getBufferSize()`
`int` | `getDesiredPort()`
`int` | `getTimeOut()`
`int` | `getWorkersNumber()`
`void` | `replyToMessage(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage message, java.io.OutputStream output)`

Methods inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractDaemon
`getPort, init, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractServer

    public AbstractServer(RequestListener requestListener)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### AbstractServer

    public AbstractServer(RequestListener requestListener,
                          int timeout,
                          int workers,
                          int desiredPort,
                          int bufferSize)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getTimeOut

    public int getTimeOut()

  Specified by:
    `getTimeOut` in class `AbstractDaemon`

### getWorkersNumber

    public int getWorkersNumber()

  Specified by:
    `getWorkersNumber` in class `AbstractDaemon`

### getDesiredPort

    public int getDesiredPort()

  Specified by:
    `getDesiredPort` in class `AbstractDaemon`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in class `AbstractDaemon`

### replyToMessage

    public void replyToMessage(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage message,
                               java.io.OutputStream output)
                        throws java.io.IOException

  Specified by:
    `replyToMessage` in class `AbstractDaemon`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD